{
	nodejs,
	pkg-config,
	buildNpmPackage,
	importNpmLock,
	vips,
  lib,
}: buildNpmPackage {
	name = "myblog";
	version = "unstable";
	buildInputs = [
	];
	nativeBuildInputs = [
		pkg-config
		nodejs
		vips
	];
	npmDeps = importNpmLock {
		npmRoot = ./.;
	};
	npmConfigHook = importNpmLock.npmConfigHook;
	src = ./.;
	installPhase = ''
		mkdir -p $out/public
		cp -ar _site/* $out/public/
	'';
	meta = {
		description = "My blog, yay";
		homepage = "https://saji.dev";
		platforms = lib.platforms.all;
	};
}
