export default {
	dark: {
		"source": "rootloops.sh",
		"hex": {
			"background": "#0a0808",
			"foreground": "#e7e1e2",
			"cursor": "#c2b5b8",
			"black": "#272022",
			"red": "#cf5080",
			"green": "#7b8d39",
			"yellow": "#b57235",
			"blue": "#3c8cbf",
			"magenta": "#9468d8",
			"cyan": "#3b9586",
			"white": "#c2b5b8",
			"brightBlack": "#5a4e51",
			"brightRed": "#e26b95",
			"brightGreen": "#8fa445",
			"brightYellow": "#cf8544",
			"brightBlue": "#4fa1d7",
			"brightMagenta": "#a782e5",
			"brightCyan": "#47ac9b",
			"brightWhite": "#f3f0f1"
		},
		"hsl": {
			"background": "hsl(345.13, 15.37%, 3.54%)",
			"foreground": "hsl(344.94, 10.53%, 89.29%)",
			"cursor": "hsl(344.63, 9.37%, 73.52%)",
			"black": "hsl(344.1, 8.9%, 13.97%)",
			"red": "hsl(337.55, 56.97%, 56.34%)",
			"green": "hsl(72.88, 42.49%, 38.93%)",
			"yellow": "hsl(28.49, 54.76%, 45.89%)",
			"blue": "hsl(203.33, 52.42%, 49.09%)",
			"magenta": "hsl(264.05, 58.81%, 62.59%)",
			"cyan": "hsl(169.71, 43.35%, 40.84%)",
			"white": "hsl(344.63, 9.37%, 73.52%)",
			"brightBlack": "hsl(344.15, 7.1%, 32.99%)",
			"brightRed": "hsl(339.06, 67.64%, 65.41%)",
			"brightGreen": "hsl(72.99, 40.55%, 45.65%)",
			"brightYellow": "hsl(28.18, 58.94%, 53.93%)",
			"brightBlue": "hsl(203.73, 63.27%, 57.72%)",
			"brightMagenta": "hsl(262.71, 65.56%, 70.29%)",
			"brightCyan": "hsl(169.62, 41.51%, 47.79%)",
			"brightWhite": "hsl(345.03, 10.68%, 94.62%)"
		}
	},
	light: {
		"source": "rootloops.sh",
		"hex": {
			"background": "#f3f0f1",
			"foreground": "#40373a",
			"cursor": "#74666a",
			"black": "#e7e1e2",
			"red": "#cf5080",
			"green": "#7b8d39",
			"yellow": "#b57235",
			"blue": "#3c8cbf",
			"magenta": "#9468d8",
			"cyan": "#3b9586",
			"white": "#74666a",
			"brightBlack": "#b5a7ab",
			"brightRed": "#e26b95",
			"brightGreen": "#8fa445",
			"brightYellow": "#cf8544",
			"brightBlue": "#4fa1d7",
			"brightMagenta": "#a782e5",
			"brightCyan": "#47ac9b",
			"brightWhite": "#272022"
		},
		"hsl": {
			"background": "hsl(345.03, 10.68%, 94.62%)",
			"foreground": "hsl(344.11, 7.75%, 23.41%)",
			"cursor": "hsl(344.2, 6.49%, 42.82%)",
			"black": "hsl(344.94, 10.53%, 89.29%)",
			"red": "hsl(337.55, 56.97%, 56.34%)",
			"green": "hsl(72.88, 42.49%, 38.93%)",
			"yellow": "hsl(28.49, 54.76%, 45.89%)",
			"blue": "hsl(203.33, 52.42%, 49.09%)",
			"magenta": "hsl(264.05, 58.81%, 62.59%)",
			"cyan": "hsl(169.71, 43.35%, 40.84%)",
			"white": "hsl(344.2, 6.49%, 42.82%)",
			"brightBlack": "hsl(344.53, 8.76%, 68.33%)",
			"brightRed": "hsl(339.06, 67.64%, 65.41%)",
			"brightGreen": "hsl(72.99, 40.55%, 45.65%)",
			"brightYellow": "hsl(28.18, 58.94%, 53.93%)",
			"brightBlue": "hsl(203.73, 63.27%, 57.72%)",
			"brightMagenta": "hsl(262.71, 65.56%, 70.29%)",
			"brightCyan": "hsl(169.62, 41.51%, 47.79%)",
			"brightWhite": "hsl(344.1, 8.9%, 13.97%)"
		}
	},
}
